SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004538SOGoWeb Calendarpublic2018-09-13 09:322018-09-20 08:40
Reporteramair 
Assigned Tofrancis 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.0.2 
Target VersionFixed in Version4.0.2 
Summary0004538: free-busy doesn't show busy intervals
DescriptionWhen adding attendees to calendar events busy intervals aren't shown.
The FireFox developer tools show a request of https://IP/SOGo/so/USER/freebusy.ifb/ajaxRead?eday=20180913&sday=20180913 [^] which returns a JSON object containing correct busy/free data. So I guess the SOGo server is configured correctly.

Another problem is, that there's no color/icon next to the "Busy" text. See attached screenshot.
Steps To Reproduce* Login as user1 go to calendar and add an event starting the next hour.
* Login as user2 go to calendar and add an event starting the next hour, add user1 as attendee. User1's event isn't shown.
TagsNo tags attached.
Attached Filesjpg file icon free-busy.jpg [^] (12,965 bytes) 2018-09-13 09:32


jpg file icon css-err.jpg [^] (15,902 bytes) 2018-09-14 02:41

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
User avatar (0013024)
francis (administrator)
2018-09-13 11:00

Can you try with the default theme?
(0013027)
amair (reporter)
2018-09-14 02:45

It works using the default theme.

I've inspected CSS etc. using Firefox and found the problem, see image css-err.jpg. If I remove the single quotes from the rgb() calls, busy time is painted in black.
(0013040)
ilpelle (reporter)
2018-09-19 06:02

I confirm the issue, and add my two cents.

From a first attempt to patch it in a production environment, it looks like that the rgb('0,0,0') bug is in `angular-material.js`.
This is a default (black) color returned in `function rgba()` when no actual color vector is passed. I have not been able to perform a full stack trace debug.

Therefore, although the bug comes from vendor code, it is triggered somewhere in the theme by passing either an incorrect color value for busy times, or a null value.

Hope this helps at spotting.
User avatar (0013043)
francis (administrator)
2018-09-19 08:24

Have you extended the grey map as in the demo theme?

https://github.com/inverse-inc/sogo/blob/master/UI/WebServerResources/js/theme.js#L63-L67 [^]
(0013044)
ilpelle (reporter)
2018-09-19 08:37

I have now.
If I also rename the background palette from 'grey' to 'sogo-grey', this fixes the problem:

https://github.com/inverse-inc/sogo/blob/master/UI/WebServerResources/js/theme.js#L82 [^]

Thanks!
(0013051)
amair (reporter)
2018-09-20 07:57

It works when I define "1000" for the background palette.

Thanks!

- Issue History
Date Modified Username Field Change
2018-09-13 09:32 amair New Issue
2018-09-13 09:32 amair File Added: free-busy.jpg
2018-09-13 11:00 francis Note Added: 0013024
2018-09-14 02:41 amair File Added: css-err.jpg
2018-09-14 02:45 amair Note Added: 0013027
2018-09-19 06:02 ilpelle Note Added: 0013040
2018-09-19 08:24 francis Note Added: 0013043
2018-09-19 08:37 ilpelle Note Added: 0013044
2018-09-20 07:57 amair Note Added: 0013051
2018-09-20 08:40 francis Status new => resolved
2018-09-20 08:40 francis Fixed in Version => 4.0.2
2018-09-20 08:40 francis Resolution open => fixed
2018-09-20 08:40 francis Assigned To => francis


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker